Bug 1125330 - Monitor Overview Host Configuration graph refers to incorrect URL
Summary: Monitor Overview Host Configuration graph refers to incorrect URL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-31 15:11 UTC by Andrew Schofield
Modified: 2019-07-11 08:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:12:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Andrew Schofield 2014-07-31 15:11:26 UTC
Description of problem:

Monitor -> Dashboard -> Click on the Graph in 'Host Configuration Status' and it takes you to an 'undefined' URL:

https://satellite/undefined

(NB. I'm on IE 11 here)

This is the HTML:

      <div class="col-md-6">
        <a href="#" onclick="expand_chart(this); return false;"><h4 class="ca pie-title" data-original-title="Expand the chart" rel="twipsy"></h4></a><div class="statistics-pie small" data-series="[{&quot;label&quot;:&quot;Active&quot;,&quot;data&quot;:0,&quot;color&quot;:&quot;#4572A7&quot;},{&quot;label&quot;:&quot;Error&quot;,&quot;data&quot;:0,&quot;color&quot;:&quot;#AA4643&quot;},{&quot;label&quot;:&quot;OK&quot;,&quot;data&quot;:1,&quot;color&quot;:&quot;#89A54E&quot;},{&quot;label&quot;:&quot;Pending changes&quot;,&quot;data&quot;:0,&quot;color&quot;:&quot;#80699B&quot;},{&quot;label&quot;:&quot;Out of sync&quot;,&quot;data&quot;:0,&quot;color&quot;:&quot;#3D96AE&quot;},{&quot;label&quot;:&quot;No report&quot;,&quot;data&quot;:0,&quot;color&quot;:&quot;#DB843D&quot;},{&quot;label&quot;:&quot;Notification ...&quot;,&quot;data&quot;:0,&quot;color&quot;:&quot;#92A8CD&quot;}]" data-title="Host Configuration Status" data-url="/hosts?search=search_by_legend" id="overview"></div>

Comment 1 RHEL Product and Program Management 2014-07-31 15:13:54 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Dominic Cleal 2014-08-01 14:02:10 UTC
Connecting redmine issue http://projects.theforeman.org/issues/6232 from this bug

Comment 4 Bryan Kearney 2014-08-12 12:49:53 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 5 Bryan Kearney 2014-08-15 16:04:11 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6232 has been closed
-------------
Tomer Brisker
Applied in changeset commit:5c5dabb2fda6ac2cf827dc415663d1a631d7dfc2.

Comment 6 Tazim Kolhar 2014-11-14 14:23:51 UTC
VERIFIED

*** This bug is verified in upstream. This fix should eventually land in future downstream builds ***

Version Tested:

# rpm -qa | grep foreman
foreman-selinux-1.8.0-0.develop.201410280941git10de1c5.el6.noarch
foreman-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-ovirt-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-apache-1.0-1.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el6.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el6.noarch
ruby193-rubygem-foreman_discovery-1.4.0-2.el6.noarch
foreman-libvirt-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-parent-cert-1.0-1.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el6.noarch
foreman-proxy-1.8.0-0.develop.201411121327gitab6edc2.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-puppet-client-1.0-1.noarch
foreman-compute-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
foreman-gce-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-proxy-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-broker-1.0-1.noarch
foreman-postgresql-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
foreman-vmware-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
foreman-release-1.8.0-0.develop.201411131901gitd5f92b3.el6.noarch
ruby193-rubygem-foreman-tasks-0.6.10-1.el6.noarch

Comment 7 Bryan Kearney 2015-08-11 13:19:28 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:12:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.